*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

:root{
    --primary-color: #40cfe225;
    --secondary-color: #FFF1CC;
    --shadow-color: #CCC;
    --text-color: #FFF;
}

body{
    background-image: url(/assets/images/background_img.jpg);
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    font-family: 'karla', sans-serif;
    position:relative;
}

header{
    background-color: var(--primary-color);
    height: 70px;
    text-align: center;
    line-height: 70px;
    box-shadow: 0 1px 2px var(--shadow-color);
}

.header-title{
    color: black;
    font-size: 2rem;
}

main{
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 90%;
    margin: 5vh auto;
    padding: 50px;
    box-shadow: 2px 2px 10px var(--shadow-color);
    gap: 20px;
}

footer{
    width:100;
    text-align: center;
    font-weight: 200;
    font-style: italic;
    padding: 20px;
}

@media (max-width:480px){
    header{
        position:fixed;
        width:100%;
    }
    .header-title{
        font-size: 1.5rem;
    }

    main{
        padding: 0;
        margin: 20px 0 0 0;
        width:100%;
        box-shadow: none;
    }
}